html {
  width: 100px;
}

body {
  width: 100%;
  margin: 0px;
  font-weight: 500;
  font-size: 14px;
}

#app {
  display: flex;
  flex-direction: row;
  width: 95vw;
}

/* DocumentListPage */

.document-list-page {
  width: 225px;
  height: 100vh;
  border: 1px solid #e1e1e1;
  background-color: #fbfbfa;
  margin: 1px 0;
  padding: 2px 10px;
}

/* DocumentListTitle */

.document-list-title {
  font-weight: 1000;
  margin-left: 5px;
  height: 50px;
  color: #37352f;
}

.document-list-title:hover {
  cursor: pointer;
}

/* DocumentList */

.document-list-block {
  display: flex;
  align-items: center;
  color: #6d6c69;
  cursor: pointer;
}

.document-title {
  margin-left: 3px;
}

.toggle-off {
  display: none;
}

.document-list {
  display: flex;
  flex-direction: column;
}

.document-list ul {
  list-style: none;
  padding-left: 20px;
}

.parent-list {
  display: flex;
  flex-direction: row;
  padding: 2px;
}

.document-list-block:hover,
.selected {
  background-color: #ebebea;
  border-radius: 3px;
}

.document-title {
  display: block;
  width: 70%;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

/* DocumentEditPage */

.document-edit-page .introduction-container {
  display: flex;
  width: 80%;
  flex-direction: column;
  height: 100vh;
}

/* Editor */

[contenteditable]:focus {
  outline: none;
}

[contenteditable]:empty:not(:focus):before {
  content: attr(data-text);
  color: #e1e1e1;
}

.editor-container {
  display: flex;
  flex-direction: column;
  height: 10rem;
}

.text-container {
  /* display: flex; */
  width: 600px;
  margin: 10px 300px;
}

/* TitleEditor */

.title-box {
  display: flex;
  width: 80%;
  flex-direction: column;
  margin-top: 50px;
}

.title-top-margin {
  margin: 80px 0 4px 1px;
}

.input-title {
  cursor: text;
  border: 0px;
  width: 100%;
}

/* ContentEditor */

.input-content h1,
.input-content h2,
.input-content h3,
.input-content h4,
.input-content h5 {
  display: inline;
}

.input-content {
  cursor: text;
  line-height: 2.5;
  width: 600px;
  min-height: 200px;
}

/* ChildrenDocument */

.child-document {
  padding: 2px;
  height: 25px;
}

.child-document-title {
  text-decoration: underline #ebebea;
}
